function setSlider(percent)
{
   slideKnob._x = knobStart + percent / knobSteps;
}
function sendDragCommand()
{
   _root.doThickness(knobPercent);
}
knobStart = 0;
knobEnd = slideLine._width;
knobAxis = slideLine._height / 2;
knobInitPercent = 20;
knobSteps = 99 / (knobEnd - knobStart);
knobDrag = false;
knobPercent = knobInitPercent;
slideKnob._x = knobStart + knobInitPercent / knobSteps;
slideKnob._y = knobAxis;
slideKnob.onRollOver = function()
{
   _root.showTooltipByName("PaintThickness_tip");
};
slideKnob.onRollOut = function()
{
   _root.hideTooltip();
};
slideKnob.onPress = function()
{
   _root.hideTooltip();
   startDrag(slideKnob,0,knobStart,knobAxis,knobEnd,knobAxis);
   knobDrag = true;
};
slideKnob.onRelease = function()
{
   stopDrag();
   knobDrag = false;
   sendDragCommand();
};
slideKnob.onReleaseOutside = slideKnob.onRelease;
slideKnob.onMouseMove = function()
{
   knobPercent = (slideKnob._x - knobStart) * knobSteps + 1;
};
